diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -1582,8 +1565,7 @@ include_dir 'conf.d'
        <para>
         Sets the maximum SSL/TLS protocol version to use.  Valid values are as
         for <xref linkend="guc-ssl-min-protocol-version"/>, with addition of
-        an empty string, which allows any protocol version.  The default is to
-        allow any version.  Setting the maximum protocol version is mainly
+        an empty string, which allows any protocol version.  Setting the maximum protocol version is mainly
         useful for testing or if some component has issues working with a
         newer protocol.
        </para>
@@ -1596,7 +1578,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-dh-params-file" xreflabel="ssl_dh_params_file">
-      <term><varname>ssl_dh_params_file</varname> (<type>string</type>)
+      <term><varname>ssl_dh_params_file</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_dh_params_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1604,8 +1586,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Specifies the name of the file containing Diffie-Hellman parameters
-        used for so-called ephemeral DH family of SSL ciphers. The default is
-        empty, in which case compiled-in default DH parameters used. Using
+        used for so-called ephemeral DH family of SSL ciphers. Using an empty string a compiled-in 
+		default DH parameters is used. Using
         custom DH parameters reduces the exposure if an attacker manages to
         crack the well-known compiled-in DH parameters. You can create your own
         DH parameters file with the command
@@ -1620,7 +1602,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-passphrase-command" xreflabel="ssl_passphrase_command">
-      <term><varname>ssl_passphrase_command</varname> (<type>string</type>)
+      <term><varname>ssl_passphrase_command</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>ssl_passphrase_command</varname> configuration parameter</primary>
       </indexterm>
@@ -1628,9 +1610,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Sets an external command to be invoked when a passphrase for
-        decrypting an SSL file such as a private key needs to be obtained.  By
-        default, this parameter is empty, which means the built-in prompting
-        mechanism is used.
+        decrypting an SSL file such as a private key needs to be obtained. 
+		An empty string means the built-in prompting mechanism is used.
        </para>
        <para>
         The command must print the passphrase to the standard output and exit
@@ -1654,7 +1635,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-passphrase-command-supports-reload" xreflabel="ssl_passphrase_command_supports_reload">
-      <term><varname>ssl_passphrase_command_supports_reload</varname> (<type>boolean</type>)
+      <term><varname>ssl_passphrase_command_supports_reload</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>ssl_passphrase_command_supports_reload</varname> configuration parameter</primary>
       </indexterm>
@@ -1664,8 +1645,7 @@ include_dir 'conf.d'
         This parameter determines whether the passphrase command set by
         <varname>ssl_passphrase_command</varname> will also be called during a
         configuration reload if a key file needs a passphrase.  If this
-        parameter is off (the default), then
-        <varname>ssl_passphrase_command</varname> will be ignored during a
+        parameter is off, then <varname>ssl_passphrase_command</varname> will be ignored during a
         reload and the SSL configuration will not be reloaded if a passphrase
         is needed.  That setting is appropriate for a command that requires a
         TTY for prompting, which might not be available when the server is
@@ -1690,7 +1670,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-shared-buffers" xreflabel="shared_buffers">
-      <term><varname>shared_buffers</varname> (<type>integer</type>)
+      <term><varname>shared_buffers</varname> (<type>integer</type>) - default is 128MB
       <indexterm>
        <primary><varname>shared_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -1698,8 +1678,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Sets the amount of memory the database server uses for shared
-        memory buffers.  The default is typically 128 megabytes
-        (<literal>128MB</literal>), but might be less if your kernel settings will
+        memory buffers.  This value is typically (<literal>128MB</literal>), 
+		but might be less if your kernel settings does
         not support it (as determined during <application>initdb</application>).
         This setting must be at least 128 kilobytes.  However,
         settings significantly higher than the minimum are usually needed
@@ -1735,7 +1715,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-huge-pages" xreflabel="huge_pages">
-      <term><varname>huge_pages</varname> (<type>enum</type>)
+      <term><varname>huge_pages</varname> (<type>enum</type>) - default is try
       <indexterm>
        <primary><varname>huge_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -1743,7 +1723,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Controls whether huge pages are requested for the main shared memory
-        area. Valid values are <literal>try</literal> (the default),
+        area. Valid values are <literal>try</literal>,
         <literal>on</literal>, and <literal>off</literal>.  With
         <varname>huge_pages</varname> set to <literal>try</literal>, the
         server will try to request huge pages, but fall back to the default if
@@ -1758,8 +1738,7 @@ include_dir 'conf.d'
         At present, this setting is supported only on Linux and Windows. The
         setting is ignored on other systems when set to
         <literal>try</literal>.  On Linux, it is only supported when
-        <varname>shared_memory_type</varname> is set to <literal>mmap</literal>
-        (the default).
+        <varname>shared_memory_type</varname> is set to <literal>mmap</literal>, its default value.
        </para>
 
        <para>
@@ -1798,7 +1777,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-huge-page-size" xreflabel="huge_page_size">
-      <term><varname>huge_page_size</varname> (<type>integer</type>)
+      <term><varname>huge_page_size</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>huge_page_size</varname> configuration parameter</primary>
       </indexterm>
@@ -1807,7 +1786,6 @@ include_dir 'conf.d'
        <para>
         Controls the size of huge pages, when they are enabled with
         <xref linkend="guc-huge-pages"/>.
-        The default is zero (<literal>0</literal>).
         When set to <literal>0</literal>, the default huge page size on the
         system will be used. This parameter can only be set at server start.
        </para>
@@ -1825,7 +1803,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-temp-buffers" xreflabel="temp_buffers">
-      <term><varname>temp_buffers</varname> (<type>integer</type>)
+      <term><varname>temp_buffers</varname> (<type>integer</type>) - default is 8MB
       <indexterm>
        <primary><varname>temp_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -1837,7 +1815,6 @@ include_dir 'conf.d'
         for access to temporary tables.
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default is eight megabytes (<literal>8MB</literal>).
         (If <symbol>BLCKSZ</symbol> is not 8kB, the default value scales
         proportionally to it.)
         This setting can be changed within individual
@@ -1859,7 +1836,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-prepared-transactions" xreflabel="max_prepared_transactions">
-      <term><varname>max_prepared_transactions</varname> (<type>integer</type>)
+      <term><varname>max_prepared_transactions</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>max_prepared_transactions</varname> configuration parameter</primary>
       </indexterm>
@@ -1869,8 +1846,7 @@ include_dir 'conf.d'
         Sets the maximum number of transactions that can be in the
         <quote>prepared</quote> state simultaneously (see <xref
         linkend="sql-prepare-transaction"/>).
-        Setting this parameter to zero (which is the default)
-        disables the prepared-transaction feature.
+        With value of 0 then disables the prepared-transaction feature.
         This parameter can only be set at server start.
        </para>
 
@@ -1892,7 +1868,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-work-mem" xreflabel="work_mem">
-      <term><varname>work_mem</varname> (<type>integer</type>)
+      <term><varname>work_mem</varname> (<type>integer</type>) - default is 4MB
       <indexterm>
        <primary><varname>work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -1902,7 +1878,6 @@ include_dir 'conf.d'
         Sets the base maximum amount of memory to be used by a query operation
         (such as a sort or hash table) before writing to temporary disk files.
         If this value is specified without units, it is taken as kilobytes.
-        The default value is four megabytes (<literal>4MB</literal>).
         Note that a complex query might perform several sort and hash
         operations at the same time, with each operation generally being
         allowed to use as much memory as this value specifies before
@@ -1931,7 +1906,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-hash-mem-multiplier" xreflabel="hash_mem_multiplier">
-      <term><varname>hash_mem_multiplier</varname> (<type>floating point</type>)
+      <term><varname>hash_mem_multiplier</varname> (<type>floating point</type>) - default is 2.0
       <indexterm>
        <primary><varname>hash_mem_multiplier</varname> configuration parameter</primary>
       </indexterm>
@@ -1941,8 +1916,8 @@ include_dir 'conf.d'
         Used to compute the maximum amount of memory that hash-based
         operations can use.  The final limit is determined by
         multiplying <varname>work_mem</varname> by
-        <varname>hash_mem_multiplier</varname>.  The default value is
-        2.0, which makes hash-based operations use twice the usual
+        <varname>hash_mem_multiplier</varname>.  
+		Value of 2.0 makes hash-based operations use twice the usual
         <varname>work_mem</varname> base amount.
        </para>
        <para>
@@ -1951,7 +1926,7 @@ include_dir 'conf.d'
         occurrence, especially when simply increasing
         <varname>work_mem</varname> results in memory pressure (memory
         pressure typically takes the form of intermittent out of
-        memory errors).  The default setting of 2.0 is often effective with
+        memory errors).  The value of 2.0 is often effective with
         mixed workloads.  Higher settings in the range of 2.0 - 8.0 or
         more may be effective in environments where
         <varname>work_mem</varname> has already been increased to 40MB
@@ -1961,7 +1936,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-maintenance-work-mem" xreflabel="maintenance_work_mem">
-      <term><varname>maintenance_work_mem</varname> (<type>integer</type>)
+      <term><varname>maintenance_work_mem</varname> (<type>integer</type>) - default is 64MB
       <indexterm>
        <primary><varname>maintenance_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -1972,9 +1947,7 @@ include_dir 'conf.d'
         operations, such as <command>VACUUM</command>, <command>CREATE
         INDEX</command>, and <command>ALTER TABLE ADD FOREIGN KEY</command>.
         If this value is specified without units, it is taken as kilobytes.
-        It defaults
-        to 64 megabytes (<literal>64MB</literal>).  Since only one of these
-        operations can be executed at a time by a database session, and
+        Since only one of these operations can be executed at a time by a database session, and
         an installation normally doesn't have many of them running
         concurrently, it's safe to set this value significantly larger
         than <varname>work_mem</varname>.  Larger settings might improve
@@ -1991,7 +1964,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-autovacuum-work-mem" xreflabel="autovacuum_work_mem">
-      <term><varname>autovacuum_work_mem</varname> (<type>integer</type>)
+      <term><varname>autovacuum_work_mem</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>autovacuum_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -2001,8 +1974,7 @@ include_dir 'conf.d'
         Specifies the maximum amount of memory to be used by each
         autovacuum worker process.
         If this value is specified without units, it is taken as kilobytes.
-        It defaults to -1, indicating that
-        the value of <xref linkend="guc-maintenance-work-mem"/> should
+        Value of -1 indicates <xref linkend="guc-maintenance-work-mem"/> should
         be used instead.  The setting has no effect on the behavior of
         <command>VACUUM</command> when run in other contexts.
         This parameter can only be set in the
@@ -2014,7 +1986,7 @@ include_dir 'conf.d'
 
      <varlistentry id="guc-vacuum-buffer-usage-limit" xreflabel="vacuum_buffer_usage_limit">
       <term>
-       <varname>vacuum_buffer_usage_limit</varname> (<type>integer</type>)
+       <varname>vacuum_buffer_usage_limit</varname> (<type>integer</type>) - default is 2MB
        <indexterm>
         <primary><varname>vacuum_buffer_usage_limit</varname> configuration parameter</primary>
        </indexterm>
@@ -2029,8 +2001,7 @@ include_dir 'conf.d'
         valid sizes range from <literal>128 kB</literal> to
         <literal>16 GB</literal>.  If the specified size would exceed 1/8 the
         size of <varname>shared_buffers</varname>, the size is silently capped
-        to that value.  The default value is <literal>2MB</literal>.  If
-        this value is specified without units, it is taken as kilobytes.  This
+        to that value.  If this value is specified without units, it is taken as kilobytes.  This
         parameter can be set at any time.  It can be overridden for
         <xref linkend="sql-vacuum"/> and <xref linkend="sql-analyze"/>
         when passing the <option>BUFFER_USAGE_LIMIT</option> option.  Higher
@@ -2043,7 +2014,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-logical-decoding-work-mem" xreflabel="logical_decoding_work_mem">
-      <term><varname>logical_decoding_work_mem</varname> (<type>integer</type>)
+      <term><varname>logical_decoding_work_mem</varname> (<type>integer</type>) - default is 64MB
       <indexterm>
        <primary><varname>logical_decoding_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -2052,8 +2023,7 @@ include_dir 'conf.d'
        <para>
         Specifies the maximum amount of memory to be used by logical decoding,
         before some of the decoded changes are written to local disk. This
-        limits the amount of memory used by logical streaming replication
-        connections. It defaults to 64 megabytes (<literal>64MB</literal>).
+        limits the amount of memory used by logical streaming replication connections. 
         Since each replication connection only uses a single buffer of this size,
         and an installation normally doesn't have many such connections
         concurrently (as limited by <varname>max_wal_senders</varname>), it's
@@ -2064,7 +2034,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-commit-timestamp-buffers" xreflabel="commit_timestamp_buffers">
-      <term><varname>commit_timestamp_buffers</varname> (<type>integer</type>)
+      <term><varname>commit_timestamp_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>commit_timestamp_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2076,7 +2046,7 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>0</literal>, which requests
+        With value of <literal>0</literal> requests
         <varname>shared_buffers</varname>/512 up to 1024 blocks,
         but not fewer than 16 blocks.
         This parameter can only be set at server start.
@@ -2085,7 +2055,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-multixact-member-buffers" xreflabel="multixact_member_buffers">
-      <term><varname>multixact_member_buffers</varname> (<type>integer</type>)
+      <term><varname>multixact_member_buffers</varname> (<type>integer</type>) - default is 32
       <indexterm>
        <primary><varname>multixact_member_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2097,14 +2067,13 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>32</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-multixact-offset-buffers" xreflabel="multixact_offset_buffers">
-      <term><varname>multixact_offset_buffers</varname> (<type>integer</type>)
+      <term><varname>multixact_offset_buffers</varname> (<type>integer</type>) - default is 16
       <indexterm>
        <primary><varname>multixact_offset_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2116,14 +2085,13 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>16</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-notify-buffers" xreflabel="notify_buffers">
-      <term><varname>notify_buffers</varname> (<type>integer</type>)
+      <term><varname>notify_buffers</varname> (<type>integer</type>) - default is 16
       <indexterm>
        <primary><varname>notify_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2135,14 +2103,13 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>16</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-serializable-buffers" xreflabel="serializable_buffers">
-      <term><varname>serializable_buffers</varname> (<type>integer</type>)
+      <term><varname>serializable_buffers</varname> (<type>integer</type>) - default is 32
       <indexterm>
        <primary><varname>serializable_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2154,14 +2121,13 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>32</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-subtransaction-buffers" xreflabel="subtransaction_buffers">
-      <term><varname>subtransaction_buffers</varname> (<type>integer</type>)
+      <term><varname>subtransaction_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>subtransaction_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2173,7 +2139,7 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>0</literal>, which requests
+        Value of <literal>0</literal> requests
         <varname>shared_buffers</varname>/512 up to 1024 blocks,
         but not fewer than 16 blocks.
         This parameter can only be set at server start.
@@ -2182,7 +2148,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-transaction-buffers" xreflabel="transaction_buffers">
-      <term><varname>transaction_buffers</varname> (<type>integer</type>)
+      <term><varname>transaction_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>transaction_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2194,7 +2160,7 @@ include_dir 'conf.d'
         <xref linkend="pgdata-contents-table"/>).
         If this value is specified without units, it is taken as blocks,
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
-        The default value is <literal>0</literal>, which requests
+        Value of <literal>0</literal> requests
         <varname>shared_buffers</varname>/512 up to 1024 blocks,
         but not fewer than 16 blocks.
         This parameter can only be set at server start.
@@ -2203,7 +2169,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-stack-depth" xreflabel="max_stack_depth">
-      <term><varname>max_stack_depth</varname> (<type>integer</type>)
+      <term><varname>max_stack_depth</varname> (<type>integer</type>) - default is 2MB
       <indexterm>
        <primary><varname>max_stack_depth</varname> configuration parameter</primary>
       </indexterm>
@@ -2217,7 +2183,7 @@ include_dir 'conf.d'
         margin is needed because the stack depth is not checked in every
         routine in the server, but only in key potentially-recursive routines.
         If this value is specified without units, it is taken as kilobytes.
-        The default setting is two megabytes (<literal>2MB</literal>), which
+        Setting this value to (<literal>2MB</literal>), which
         is conservatively small and unlikely to risk crashes.  However,
         it might be too small to allow execution of complex functions.
         Only superusers and users with the appropriate <literal>SET</literal>
@@ -2237,7 +2203,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-shared-memory-type" xreflabel="shared_memory_type">
-      <term><varname>shared_memory_type</varname> (<type>enum</type>)
+      <term><varname>shared_memory_type</varname> (<type>enum</type>) - default is first supported option for that platform
       <indexterm>
        <primary><varname>shared_memory_type</varname> configuration parameter</primary>
       </indexterm>
@@ -2251,8 +2217,7 @@ include_dir 'conf.d'
         anonymous shared memory allocated using <function>mmap</function>),
         <literal>sysv</literal> (for System V shared memory allocated via
         <function>shmget</function>) and <literal>windows</literal> (for Windows
-        shared memory).  Not all values are supported on all platforms; the
-        first supported option is the default for that platform.  The use of
+        shared memory).  Not all values are supported on all platforms.  The use of
         the <literal>sysv</literal> option, which is not the default on any
         platform, is generally discouraged because it typically requires
         non-default kernel settings to allow for large allocations (see <xref
@@ -2262,7 +2227,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-dynamic-shared-memory-type" xreflabel="dynamic_shared_memory_type">
-      <term><varname>dynamic_shared_memory_type</varname> (<type>enum</type>)
+      <term><varname>dynamic_shared_memory_type</varname> (<type>enum</type>) - default is first supported option for that platform
       <indexterm>
        <primary><varname>dynamic_shared_memory_type</varname> configuration parameter</primary>
       </indexterm>
@@ -2276,8 +2241,7 @@ include_dir 'conf.d'
         <literal>windows</literal> (for Windows shared memory),
         and <literal>mmap</literal> (to simulate shared memory using
         memory-mapped files stored in the data directory).
-        Not all values are supported on all platforms; the first supported
-        option is usually the default for that platform.  The use of the
+        Not all values are supported on all platforms.  The use of the
         <literal>mmap</literal> option, which is not the default on any platform,
         is generally discouraged because the operating system may write
         modified pages back to disk repeatedly, increasing system I/O load;
@@ -2289,7 +2253,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-min-dynamic-shared-memory" xreflabel="min_dynamic_shared_memory">
-      <term><varname>min_dynamic_shared_memory</varname> (<type>integer</type>)
+      <term><varname>min_dynamic_shared_memory</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>min_dynamic_shared_memory</varname> configuration parameter</primary>
       </indexterm>
@@ -2307,8 +2271,7 @@ include_dir 'conf.d'
         the <varname>huge_pages</varname> setting on operating systems where
         that is supported, and may be more likely to benefit from larger pages
         on operating systems where that is managed automatically.
-        The default value is <literal>0</literal> (none). This parameter can
-        only be set at server start.
+        This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
@@ -2321,7 +2284,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-temp-file-limit" xreflabel="temp_file_limit">
-      <term><varname>temp_file_limit</varname> (<type>integer</type>)
+      <term><varname>temp_file_limit</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>temp_file_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -2333,7 +2296,7 @@ include_dir 'conf.d'
         storage file for a held cursor.  A transaction attempting to exceed
         this limit will be canceled.
         If this value is specified without units, it is taken as kilobytes.
-        <literal>-1</literal> (the default) means no limit.
+        Value of <literal>-1</literal> means no limit.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -2386,7 +2349,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-notify-queue-pages" xreflabel="max_notify_queue_pages">
-      <term><varname>max_notify_queue_pages</varname> (<type>integer</type>)
+      <term><varname>max_notify_queue_pages</varname> (<type>integer</type>) - default is 1048576
       <indexterm>
        <primary><varname>max_notify_queue_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -2395,8 +2358,7 @@ include_dir 'conf.d'
        <para>
         Specifies the maximum amount of allocated pages for
         <xref linkend="sql-notify"/> / <xref linkend="sql-listen"/> queue.
-        The default value is 1048576. For 8 KB pages it allows to consume
-        up to 8 GB of disk space.
+        For 8 KB pages it allows to consume up to 8 GB of disk space.
        </para>
       </listitem>
      </varlistentry>
@@ -2409,7 +2371,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-max-files-per-process" xreflabel="max_files_per_process">
-      <term><varname>max_files_per_process</varname> (<type>integer</type>)
+      <term><varname>max_files_per_process</varname> (<type>integer</type>) - default is 1000 files
       <indexterm>
        <primary><varname>max_files_per_process</varname> configuration parameter</primary>
       </indexterm>
@@ -2418,8 +2380,7 @@ include_dir 'conf.d'
        <para>
         Sets the maximum number of open files each server subprocess is
         allowed to open simultaneously;  files already opened in the
-        postmaster are not counted toward this limit. The default is one
-        thousand files.
+        postmaster are not counted toward this limit. 
        </para>
        <para>
         If the kernel is enforcing
@@ -2459,7 +2420,7 @@ include_dir 'conf.d'
 
      <variablelist>
       <varlistentry id="guc-bgwriter-delay" xreflabel="bgwriter_delay">
-       <term><varname>bgwriter_delay</varname> (<type>integer</type>)
+       <term><varname>bgwriter_delay</varname> (<type>integer</type>) - default is 200ms
        <indexterm>
         <primary><varname>bgwriter_delay</varname> configuration parameter</primary>
        </indexterm>
@@ -2475,8 +2436,7 @@ include_dir 'conf.d'
          buffer pool, though, it goes into a longer sleep regardless of
          <varname>bgwriter_delay</varname>.
          If this value is specified without units, it is taken as milliseconds.
-         The default value is 200
-         milliseconds (<literal>200ms</literal>). Note that on some systems, the
+         Note that on some systems, the
          effective resolution of sleep delays is 10 milliseconds; setting
          <varname>bgwriter_delay</varname> to a value that is not a multiple of 10
          might have the same results as setting it to the next higher multiple
@@ -2487,7 +2447,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-lru-maxpages" xreflabel="bgwriter_lru_maxpages">
-       <term><varname>bgwriter_lru_maxpages</varname> (<type>integer</type>)
+       <term><varname>bgwriter_lru_maxpages</varname> (<type>integer</type>) - default is 100 buffers
        <indexterm>
         <primary><varname>bgwriter_lru_maxpages</varname> configuration parameter</primary>
        </indexterm>
@@ -2498,7 +2458,6 @@ include_dir 'conf.d'
          by the background writer.  Setting this to zero disables
          background writing.  (Note that checkpoints, which are managed by
          a separate, dedicated auxiliary process, are unaffected.)
-         The default value is 100 buffers.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
         </para>
